Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class RequestManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CoreRequestManager, RequestManagerImpl

    public interface class RequestManager

extends java.rmi.Remote

FDK interface for managing Request operations.

Method Summary
`void` | `acknowledgeRequestForUser(long requestId, NamedValue[] def, AttributeRequest[] attributes)` Acknowledges the request for the given user.
`void` | `approveRequestForUser(long requestId, NamedValue[] def, AttributeRequest[] attributes)` Approves the request for the given user.
`void` | `cancelRequestForUser(long requestId, NamedValue[] def, AttributeRequest[] attributes)` Cancels the request for the given user.
`void` | `createUserRequest(long[] targets, NamedValue[] params)` Creates a UserRequest for each set of targets that are controlled by a specific UserRequestWorkflowConfiguration.
`void` | `deleteRequests(long[] ids)` Deletes the Reqeusts having the given IDs.
`void` | `denyRequestForUser(long requestId, NamedValue[] def, AttributeRequest[] attributes)` Denies the request for the given user.
`boolean` | `isOperationRequestEnabled(long id, java.lang.String ecmAction)` Returns whether the specified operation(ecm action) is workflow enabled i.e request based.
`Item[]` | `listRequests(long id, NamedValue[] def, AttributeRequest[] attributes)` Returns the list of all reqeusts sent out by given user(id).
`Item[]` | `listRequestsForUser(long id, NamedValue[] def, AttributeRequest[] attributes)` Returns the list of all reqeusts that the given user is responder to.
`Item[]` | `searchResponders(java.lang.String name, AttributeRequest[] attrreqs)` Simple search for Users with given (exact)name.

Method Detail

### listRequests

    Item[] listRequests(long id,
                        NamedValue[] def,
                        AttributeRequest[] attributes)
                        throws FdkException

  Description copied from interface: `RequestManager`
  Returns the list of all reqeusts sent out by given user(id).

  Parameters:
    `id` - The ID of the user
    `def` - attributes on the request search
    - notation: {Attribute name, Attribute type}
    - {Attributes.REQUEST_STATUS, Integer}
    - {Attributes.REQUEST_CREATED, Date}
    - {Attributes.REQUEST_RESPONSE, Boolean}
    - {Attributes.REQUEST_TRIGGERED, Boolean}
    - {Attributes.REQUEST_TYPE, String}
    - {Options.REQUEST_CREATED_COMPARISON_OPERATOR, Integer}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    `attributes` - The requested attributes.
  Returns:
    Item[] The array of Items, each request.
  Throws:
    `FdkException` - if the operation fails.

### listRequestsForUser

    Item[] listRequestsForUser(long id,
                               NamedValue[] def,
                               AttributeRequest[] attributes)
                               throws FdkException

  Description copied from interface: `RequestManager`
  Returns the list of all reqeusts that the given user is responder to.

  Parameters:
    `id` - The ID of the user
    `def` - attributes on the request search
    - notation: {Attribute name, Attribute type}
    - {Attributes.REQUEST_STATUS, Integer}
    - {Attributes.REQUEST_CREATED, Date}
    - {Attributes.REQUEST_RESPONSE, Boolean}
    - {Attributes.REQUEST_TRIGGERED, Boolean}
    - {Attributes.REQUEST_TYPE, String}
    - {Options.REQUEST_CREATED_COMPARISON_OPERATOR, Integer}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    `attributes` - The requested attributes.
  Returns:
    Item[] The array of Items, each request.
  Throws:
    `FdkException` - if the operation fails.

### deleteRequests

    void deleteRequests(long[] ids)
                        throws FdkException

  Description copied from interface: `RequestManager`
  Deletes the Reqeusts having the given IDs.

  Parameters:
    `ids` - the IDs of the Requests to delete.
  Throws:
    `FdkException` - if the operation fails.

### approveRequestForUser

    void approveRequestForUser(long requestId,
                               NamedValue[] def,
                               AttributeRequest[] attributes)
                               throws FdkException

  Description copied from interface: `RequestManager`
  Approves the request for the given user.

  Note: This method is only available for REQUEST Items whose WORKFLOW has a WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_ORACLE; it does not work for custom WORKFLOW instances (WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_BPEL).

  Parameters:
    `requestId` - ID of the request
    `def` - attributes on the request
    `attributes` - requested attributes
  Throws:
    `FdkException` - if the operation fails

### denyRequestForUser

    void denyRequestForUser(long requestId,
                            NamedValue[] def,
                            AttributeRequest[] attributes)
                            throws FdkException

  Description copied from interface: `RequestManager`
  Denies the request for the given user.

  Note: This method is only available for REQUEST Items whose WORKFLOW has a WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_ORACLE; it does not work for custom WORKFLOW instances (WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_BPEL).

  Parameters:
    `requestId` - ID of the request
    `def` - attributes on the request
    `attributes` - requested attributes
  Throws:
    `FdkException` - if the operation fails

### cancelRequestForUser

    void cancelRequestForUser(long requestId,
                              NamedValue[] def,
                              AttributeRequest[] attributes)
                              throws FdkException

  Description copied from interface: `RequestManager`
  Cancels the request for the given user.

  Note: This method is only available for REQUEST Items whose WORKFLOW has a WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_ORACLE; it does not work for custom WORKFLOW instances (WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_BPEL).

  Parameters:
    `requestId` - ID of the request
    `def` - attributes on the request
    `attributes` - requested attributes
  Throws:
    `FdkException` - if the operation fails

### acknowledgeRequestForUser

    void acknowledgeRequestForUser(long requestId,
                                   NamedValue[] def,
                                   AttributeRequest[] attributes)
                                   throws FdkException

  Description copied from interface: `RequestManager`
  Acknowledges the request for the given user.

  Note: This method is only available for REQUEST Items whose WORKFLOW has a WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_ORACLE; it does not work for custom WORKFLOW instances (WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_BPEL).

  Parameters:
    `requestId` - ID of the request
    `def` - attributes on the request
    `attributes` - requested attributes
  Throws:
    `FdkException` - if the operation fails

### createUserRequest

    void createUserRequest(long[] targets,
                           NamedValue[] params)
                           throws FdkException

  Description copied from interface: `RequestManager`
  Creates a UserRequest for each set of targets that are controlled by a specific UserRequestWorkflowConfiguration. UserRequests are used to execute custom workflows for the given targets.

  Parameters:
    `targets` - the targets of the UserRequest.
    `params` - parameters (name/value) to send to workflow
  Throws:
    `FdkException` - if the operation fails.

### isOperationRequestEnabled

    boolean isOperationRequestEnabled(long id,
                                      java.lang.String ecmAction)
                                      throws FdkException

  Description copied from interface: `RequestManager`
  Returns whether the specified operation(ecm action) is workflow enabled i.e request based. See FdkConstants for operation constants. Example: isOperationRequestEnabled(domain, FdkConstants.ECM_ACTION_CREATEWORKSPACE)

  Parameters:
    `id` - The ID of the object.
    `ecmAction` - The ecm action's id.
  Throws:
    `FdkException` - if the operation fails.

### searchResponders

    Item[] searchResponders(java.lang.String name,
                            AttributeRequest[] attrreqs)
                            throws FdkException

  Description copied from interface: `RequestManager`
  Simple search for Users with given (exact)name. Supported wildcards: % -

  Parameters:
    `name` - The name to search for
    `attrreqs` - The requested attributes.
  Returns:
    Item[] Of DirectoryObjects
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD